# This script will compare all of the files in the stock sounds/voice folder
# against your my_sounds/voice folder and tell you if there's something in
# the stock build that's not in yours. It will build a txt file called CC_update.txt
# in your work directory. You can add your text to speech stuff after the colon
# and run it through the voice.py script.
#
# Enter your username between the quotation marks in the line below
# This is the same as your folder in c:\users. Do not change the USERNAME
# reference on the lines that start with "dir1" or "dir2."

USERNAME = "YourUsername"

import os
import re

def build_files_set(rootdir):
   files_set = set()
   for (dirpath, dirnames, filenames) in os.walk(rootdir):
        for filename in filenames + dirnames:
            full_path = os.path.join(dirpath, filename)
            relative_path = os.path.relpath(full_path,rootdir)
            files_set.add(relative_path)
   return files_set

def compare_directories(dir1, dir2):
    files_set1 = build_files_set(dir1)
    files_set2 = build_files_set(dir2)
    return (files_set1 - files_set2, files_set2 - files_set1)

################## main ###############################################
dir1 = "c:\\users\\"+USERNAME+"\\appdata\\local\\crewchiefv4\\my_sounds\\voice"
dir2 = "c:\\users\\"+USERNAME+"\\appdata\\local\\crewchiefv4\\sounds\\voice"
voice_file="CC_update.txt"

in_dir1, in_dir2 = compare_directories(dir1, dir2)

#This writes the "missing" files from dir1 to a textfile
with open(voice_file,"w") as data:
  for relative_path in in_dir2:
     data.write('{0}'.format(relative_path) + ":" + '\n')
data.close

#If you just want to see a printout on the screen uncomment the
#next three lines and comment out the four lines just above
#print ("\nFiles only in {}:".format(dir2))
#for relative_path in in_dir2:
#    print ('* {0}'.format(relative_path))
